
----------
#use

----------


```

const fs = require("fs");
const path = require("path");
const YunLianHuiRequest = require('ylh-open-api-nodejs-sdk');

//-----------------Iint yunlianhuiRequest----------------------
let yunlianhuiRequest =  new YunLianHuiRequest();
yunlianhuiRequest.gateWayUrl = 'https://openapidev.yunlianhui.com/';
yunlianhuiRequest.rsaPrivateKey=path.join(__dirname,'key','rsa_private_key.pem');
yunlianhuiRequest.yunlianhuirsaPublicKey=path.join(__dirname,'key','yunlianhui_public_key.pem');
yunlianhuiRequest.initParam();//every request must initParam

//------------------SET sendParam-------------------
yunlianhuiRequest.setParam('client_id','xxx');
yunlianhuiRequest.setParam('access_token','xxx');
yunlianhuiRequest.setParam('timestamp', yunlianhuiRequest.getNowUnixTimestamp());
//这个必须是最后一个参数 sign must be last param
yunlianhuiRequest.setParam('sign',yunlianhuiRequest.getSign());


//------------------Get result-------------------
yunlianhuiRequest.getRes('api/v2/getUserInfo')
.then((res)=>{
    let backRes = JSON.parse(res.body);
    console.log(backRes);
})
.catch((err)=>{
    console.log(err);
});

```

